
QGIS Application - Bug report #11716

core dump on startup

2014-11-22 02:33 PM - haze cat

Status: Closed

Priority: Normal

Assignee:

Category: Browser

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 19954

Description

On the debian nightly version.  QGIS silently bombs out on opening the program.  When running from terminal the output is:

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_CA]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_CA]

Warning: QGraphicsScene::addItem: item has already been added to this scene

QGIS died on signal 11Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Aborted

The output of the terminal running sudo qgis --noplugins:

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_CA]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_CA]

Warning: QGraphicsScene::addItem: item has already been added to this scene

QGIS died on signal 11[New LWP 4052]

[New LWP 4051]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

0x00007f09d3a06619 in __libc_waitpid (pid=4053, stat_loc=0x7fff2b7c397c, options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:40

40    ../sysdeps/unix/sysv/linux/waitpid.c: No such file or directory.

[Current thread is 1 (Thread 0x7f09dbba0800 (LWP 4048))]

#0  0x00007f09d3a06619 in __libc_waitpid (pid=4053, stat_loc=0x7fff2b7c397c, options=0) at

../sysdeps/unix/sysv/linux/waitpid.c:40

        resultvar = 0

        oldtype = 0

#1  0x0000000000501d37 in qgisCrash(int) ()

No symbol table info available.

#2  <signal handler called>

No locals.

#3  0x00000000005931ad in QgsBrowserDockWidget::expandedPathsList(QModelIndex const&) ()

No symbol table info available.

#4  0x0000000000595ff6 in QgsBrowserDockWidget::saveState() ()

No symbol table info available.

2025-04-27 1/4



#5  0x00000000005960c1 in QgsBrowserDockWidget::hideEvent(QHideEvent*) ()

No symbol table info available.

#6  0x00007f09d5f0028c in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#7  0x00007f09d6290dab in QDockWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#8  0x00007f09d5eb0e2c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#9  0x00007f09d5eb74a0 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#10 0x00007f09d7caa76b in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.7.0

No symbol table info available.

#11 0x00007f09d6b174dd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#12 0x00007f09d5efc62d in QWidgetPrivate::hide_helper() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#13 0x00007f09d5eff898 in QWidget::setVisible(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#14 0x00000000005492e7 in QgisApp::QgisApp(QSplashScreen*, bool, QWidget*, QFlags<Qt::WindowType>) ()

No symbol table info available.

#15 0x00000000004fbc47 in main ()

No symbol table info available.

gdb returned 0

I've seen similar issues but not on startup - I can't even get it going.  Issue started after update today.  Thanks.

History

#1 - 2014-11-22 09:43 PM - Mikhail Tchernychev

I see the same thing on Ubuntu trusty. Just happened.

Mikhail

#2 - 2014-11-23 01:10 AM - Giovanni Manghi

- Status changed from Open to Feedback

if you are on Ubuntu then the suggested repository for master is not debian-nightly but ubuntugis-nightly, because it relies on ubuntugis packages that are

more recent then the ones usually available in the ubuntu repos. Please give it a try and report back. Please also a clean install by removing the ~/.qgis2

folder and/or the QGIS folder inside ~/.config

#3 - 2014-11-23 08:24 PM - Mikhail Tchernychev

This is what I was using all the time:

deb     http://qgis.org/ubuntugis-nightly trusty main

deb-src http://qgis.org/ubuntugis-nightly trusty main

deb     http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu trusty main
I guess this is what you suggested...

Best Regards

Mikhail

#4 - 2014-11-23 08:53 PM - Mikhail Tchernychev

Update: I just updated my laptop with the same repositories and got the same crash.

Thank you,

Mikhail

#5 - 2014-11-24 12:28 AM - Giovanni Manghi

Mikhail Tchernychev wrote:

Update: I just updated my laptop with the same repositories and got the same crash.

Thank you,

Mikhail

purging the .qgis2 and ~/.config/QGIS folders makes no difference?

#6 - 2014-11-24 07:08 AM - Mikhail Tchernychev

No, it is still the same after I renamed these folders.

Best Regards

Mikhail

#7 - 2014-11-24 07:09 AM - Mikhail Tchernychev

- OS version changed from 13.10 to 13.10,14.04

Just added "14.04" as platform

#8 - 2014-11-24 07:31 AM - haze cat

Thanks, I incorrectly said I was on the debian nightly, I am actually on the ubuntugis nightly, sorry for the mistype.

Tried a clean install removing ~/.qgis and qgis in ~/.config but no dice - also updated to 14.04 and the error persists.

Haze

#9 - 2014-11-25 04:46 AM - Jürgen Fischer

- Category set to Browser
#10 - 2014-11-27 01:39 PM - haze cat

Just to add output of gdb:

Starting program: /usr/bin/qgis.bin 

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_CA]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_CA]

Warning: QGraphicsScene::addItem: item has already been added to this scene

[New Thread 0x7fffd668b700 (LWP 15115)]

[New Thread 0x7fff95d88700 (LWP 15116)]

Program received signal SIGSEGV, Segmentation fault.

0x00000000005931ad in QgsBrowserDockWidget::expandedPathsList(QModelIndex const&) ()

And the backtrace:

(gdb) bt

#0  0x00000000005931ad in QgsBrowserDockWidget::expandedPathsList(QModelIndex const&) ()

#1  0x0000000000595ff6 in QgsBrowserDockWidget::saveState() ()

#2  0x00000000005960c1 in QgsBrowserDockWidget::hideEvent(QHideEvent*) ()

#3  0x00007ffff22ea28c in QWidget::event(QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#4  0x00007ffff267adab in QDockWidget::event(QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#5  0x00007ffff229ae2c in QApplicationPrivate::notify_helper(QObject*, QEvent*)

    () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#6  0x00007ffff22a14a0 in QApplication::notify(QObject*, QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#7  0x00007ffff409476b in QgsApplication::notify(QObject*, QEvent*) ()

   from /usr/lib/libqgis_core.so.2.7.0

#8  0x00007ffff2f014dd in QCoreApplication::notifyInternal(QObject*, QEvent*)

    () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#9  0x00007ffff22e662d in QWidgetPrivate::hide_helper() ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#10 0x00007ffff22e9898 in QWidget::setVisible(bool) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#11 0x00000000005492e7 in QgisApp::QgisApp(QSplashScreen*, bool, QWidget*, QFlags<Qt::WindowType>) ()

#12 0x00000000004fbc47 in main ()

Looks like same issues as last couple posters using ubuntu in #11546.

#11 - 2014-12-02 12:10 AM - Radim Blazek

- Status changed from Feedback to Closed

Fixed in commit:4fde34a
